Why We Don’t Support IE6, IE7, and (Mostly) IE8

added by bsenoff
12/5/2011 1:27:07 PM

11 Kicks, 546 Views

Interesting perspective on dealing or not dealing with web site support of different browsers.


2 comments

dpeterson
12/6/2011 10:12:58 AM
We don't officially support anything lower than IE8 either, but thanks to progressive enhancement our site does still work in FF2 and IE6.

Noldorin
12/10/2011 5:39:10 PM
Anyone who uses IE 6 (or god forbid, earlier) needs to be shot. Even IE 7 is getting pretty ridiculous these days really.